import http from './utils/http'
// 
/**
 *  @parms resquest 请求地址 例如：http://197.82.15.15:8088/request/...
 *  @param '/api'代表vue-cil中config，index.js中配置的代理
 */
let resquest = "https://nebulabeat.com"

// get请求
export default{
	getLoginAPI(params){
    	return http.post(`${resquest}/api/login`,params)
	},
 	getUserinfoAPI(params){
    	return http.get(`${resquest}/api/userinfo`,params)
	},
	postBoxOpenAPI(params){
    	return http.post(`${resquest}/api/box/open`,params)
	},
	getRoomListAPI(params){
    	return http.get(`${resquest}/api/fitting_room`,params)
	},
	getBoxGiftsAPI(params){
    	return http.get(`${resquest}/api/box/gifts`,params)
	},
 	getGiftsAPI(params){
    	return http.get(`${resquest}/api/paster/gifts`,params)
	},
 	getTodoAPI(params){
    	return http.get(`${resquest}/api/todo`,params)
	},
 	geRefreshAPI(params){
    	return http.get(`${resquest}/api/refresh/code`,params)
	},
	postPackListAPI(params){
    	return http.get(`${resquest}/api/pack/list`,params)
	},
	postCouponAPI(params){
    	return http.get(`${resquest}/api/coupon/config`,params)
	},
	posTexchangeAPI(params){
    	return http.post(`${resquest}/api/paster/gifts/exchange`,params)
	},
	postSaveAPI(params){
    	return http.post(`${resquest}/api/fitting_room/save`,params)
	},
	postUploadAPI(params){
    	return http.post(`${resquest}/api/fitting_room/upload`,params)
	},
	postPackExchangeAPI(params){
    	return http.post(`${resquest}/api/pack/exchange`,params)
	},

}
